%?mingw_package_header

%global name1 ncs36510updatefib

Name:           mingw-%{name1}
Version:        0.1
Release:        1%{?dist}
Summary:        NCS36510 FIB update and dump utility

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.onsemi.com
Source0:        %{name1}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-binutils-static
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-binutils-static
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-zlib


%description
Utility to recalculate the FIB header the NCS36510 expects.

# Win32
%package -n mingw32-%{name1}
Summary:        MinGW Windows port of the NCS36510 FIB update and dump utility
Requires:       pkgconfig

%description -n mingw32-%{name1}
Utility to recalculate the FIB header the NCS36510 expects.

# Win64
%package -n mingw64-%{name1}
Summary:        MinGW Windows port of the NCS36510 FIB update and dump utility
Requires:       pkgconfig

%description -n mingw64-%{name1}
Utility to recalculate the FIB header the NCS36510 expects.

%?mingw_debug_package

%prep
%setup -q -n %{name1}-%{version}

%build
%mingw_configure
%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

# Win32
%files -n mingw32-%{name1}
%{mingw32_bindir}/ncs36510updatefib.exe

# Win64
%files -n mingw64-%{name1}
%{mingw64_bindir}/ncs36510updatefib.exe



%changelog
* Wed Mar 28 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1-1
- initial spec file
